Recent

Author Topic: compiling pascal script update package error  (Read 752 times)

opendelphi

  • New Member
  • *
  • Posts: 17
compiling pascal script update package error
« on: March 08, 2019, 03:03:58 pm »
since i was looking for a solution to support rawbytestring on Pascal Script , actually i have found that there are many developers looking for the same urgent request . a developer send pull request , providing a fix , an update to support it with many others . https://github.com/remobjects/pascalscript/issues/145

so the updated package is on https://github.com/pult/pascalscript , but when try to compile it or install it
there are some errors specially :
Code: Pascal  [Select]
  1. uPSRuntime.pas(5223,26) Error: Identifier not found "wstrlen"


any hint !

rvk

  • Hero Member
  • *****
  • Posts: 3813
Re: compiling pascal script update package error
« Reply #1 on: March 08, 2019, 03:58:48 pm »
Not sure, but I think wstrlen(pwidechar) is the same as strlen(pwidechar).
They are both referenced in the source to FPC_PWIDECHAR_LENGTH.
So you could change the wstrlen to strlen.

Otherwise adding this to the top of unit uPSRuntime seems to make it compilable in Win32.

Code: Pascal  [Select]
  1. function wstrlen(p: PWideChar): SizeInt; external name 'FPC_PWIDECHAR_LENGTH';